MiniMax H3 minimax-h3
Text, frames or reference media to video with a generated soundtrack, 4-15 seconds at 768p.
Video
$0.06 / second
Video, 2K
$0.24 / second
Image
$0.02 / megapixel
region ATL
Inputs
| Input | Accepts |
|---|---|
text | |
image | |
video | |
audio |
Video
Does not stream.
| Parameter | Type | Values | Default |
|---|---|---|---|
duration | integer | 4–15 | |
resolution | string | 768p, 2K | |
aspect_ratio | string | 16:9, 9:16, 4:3, 3:4, 1:1, 21:9 | |
size | string | 1344x768, 2688x1536, 768x1344, 1536x2688, 1024x768, 2048x1536, 768x1024, 1536x2048, 768x768, 1536x1536, 1536x672, 3072x1344 | |
generate_audio | boolean | true | |
seed | integer |
Images
Streams with stream: true.
| Parameter | Type | Values | Default |
|---|---|---|---|
size | any | ||
aspect_ratio | string | 1:1, 4:3, 3:4, 7:4, 4:7, 16:7 | 1:1 |
resolution | string | 768, 2K, 4K | |
n | integer | 1–4 | 1 |
response_format | string | url, b64_json | url |
seed | integer | ||
steps | integer | 4, 10–50 | 4 |
output_format | string | png, jpeg, webp | png |
output_compression | integer | 0–100 | |
background | string | auto, opaque | auto |
Endpoints
POST
/v1/videos
Create Video
POST/v1/images/generations
Create Image
POST/v1/images
Generate Image (OpenRouter)
POST/v1/images/edits
Edit Image
A request
curl https://api.vultrinference.com/v1/videos \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "minimax-h3",
"prompt": "A red fox trots through fresh snow at dawn, breath steaming.",
"duration": 6,
"aspect_ratio": "16:9",
"callback_url": "https://example.com/hooks/video"
}'import os
import requests
response = requests.post(
"https://api.vultrinference.com/v1/videos",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
json={
"model": "minimax-h3",
"prompt": "A red fox trots through fresh snow at dawn, breath steaming.",
"duration": 6,
"aspect_ratio": "16:9",
"callback_url": "https://example.com/hooks/video",
},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/videos", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"model": "minimax-h3",
"prompt": "A red fox trots through fresh snow at dawn, breath steaming.",
"duration": 6,
"aspect_ratio": "16:9",
"callback_url": "https://example.com/hooks/video"
}),
});
console.log(await response.json());